| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSFacet.hpp File Reference

Include dependency graph for XSFacet.hpp:

Go to the source code of this file.

## Compounds

class | XSFacet

## Defines

#define | XSFACET_HPP

## Variables

XERCES_CPP_NAMESPACE_BEGIN class | XSAnnotation
| This represents all Schema Facet components with the exception of Enumeration and Pattern Facets, which are represented by the XSMultiValueFacet interface. More...

## Define Documentation

#define XSFACET_HPP

## Variable Documentation

XERCES_CPP_NAMESPACE_BEGIN class XSAnnotation

| This represents all Schema Facet components with the exception of Enumeration and Pattern Facets, which are represented by the XSMultiValueFacet interface. This is *always* owned by the validator /parser object from which it is obtained.

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.